package com.xkrs.dao;

import com.xkrs.model.entity.GlobalConfigDictEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Component;

import java.util.Optional;

@Component
public interface GlobalConfigDictDao extends JpaRepository<GlobalConfigDictEntity, Long>, JpaSpecificationExecutor<GlobalConfigDictEntity> {

    Optional<GlobalConfigDictEntity> findByCode(Long code);

}
