package com.xkrs.model.qo;

/**
 * @author XinYi Song
 * 火点参数类
 */
public class FirePointQo {

    /**
     * 火点编码
     */
    private String fireCode;

    /**
     * 省市区的编码
     */
    private Integer countyCode;

    /**
     * 省市区的名称
     */
    private String countyName;

    /**
     * 卫星监测的时间戳
     */
    private Integer satelliteTimeTs;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 卫星类型
     */
    private String satelliteType;

    /**
     * 植被类型
     */
    private String landtype;

    /**
     * 置信度
     */
    private String confidence;

    /**
     * 当前火点的图片
     */
    private String fireImage;

    /**
     * 卫星影像图片
     */
    private String satelliteImage;

    /**
     * 乡镇街道区划编码
     */
    private String towncode;

    public FirePointQo() {
    }

    public String getFireCode() {
        return fireCode;
    }

    public void setFireCode(String fireCode) {
        this.fireCode = fireCode;
    }

    public Integer getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(Integer countyCode) {
        this.countyCode = countyCode;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public Integer getSatelliteTimeTs() {
        return satelliteTimeTs;
    }

    public void setSatelliteTimeTs(Integer satelliteTimeTs) {
        this.satelliteTimeTs = satelliteTimeTs;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getSatelliteType() {
        return satelliteType;
    }

    public void setSatelliteType(String satelliteType) {
        this.satelliteType = satelliteType;
    }

    public String getLandtype() {
        return landtype;
    }

    public void setLandtype(String landtype) {
        this.landtype = landtype;
    }

    public String getConfidence() {
        return confidence;
    }

    public void setConfidence(String confidence) {
        this.confidence = confidence;
    }

    public String getFireImage() {
        return fireImage;
    }

    public void setFireImage(String fireImage) {
        this.fireImage = fireImage;
    }

    public String getSatelliteImage() {
        return satelliteImage;
    }

    public void setSatelliteImage(String satelliteImage) {
        this.satelliteImage = satelliteImage;
    }

    public String getTowncode() {
        return towncode;
    }

    public void setTowncode(String towncode) {
        this.towncode = towncode;
    }

    @Override
    public String toString() {
        return "FirePointQo{" + "fireCode='" + fireCode + '\'' + ", countyCode=" + countyCode + ", countyName='" + countyName + '\'' + ", satelliteTimeTs=" + satelliteTimeTs + ", longitude=" + longitude + ", latitude=" + latitude + ", satelliteType='" + satelliteType + '\'' + ", landtype='" + landtype + '\'' + ", confidence='" + confidence + '\'' + ", fireImage='" + fireImage + '\'' + ", satelliteImage='" + satelliteImage + '\'' + ", towncode='" + towncode + '\'' + '}';
    }
}
