package com.xkrs.model.qo;

import com.xkrs.model.validation.SysUserQoUpdate;

import javax.validation.constraints.NotNull;

public class SysUserRemarkQo {

    @NotNull(message = "{SysUser.id.blank}", groups = {SysUserQoUpdate.class})
    private Integer id;

    @NotNull(message = "{SysUser.remark.blank}", groups = {SysUserQoUpdate.class})
    private String remark;

    public SysUserRemarkQo() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
