package com.xkrs.straw.model.qo;

public class AllFirePointQo {

    /**
     * 火点编码
     */
    private String fireCode;
    /**
     * 省市区的编码
     */
    private Long countyCode;
    /**
     * 省市区的名称
     */
    private String countyName;
    /**
     * 卫星监测的时间戳
     */
    private Long satelliteTimeTs;
    /**
     * 经度
     */
    private Double longitude;
    /**
     * 纬度
     */
    private Double latitude;
    /**
     * 卫星类型
     */
    private String satelliteType;
    /**
     * 植被类型
     */
    private String landType;
    /**
     * 置信度
     */
    private String confidence;
    /**
     * 当前火点的图片
     */
    private String fireImage;
    /**
     * 卫星影像图片
     */
    private String satelliteImage;
    /**
     * 乡镇街道的编码
     */
    private String townCode;

    public AllFirePointQo() {
    }

    public String getFireCode() {
        return fireCode;
    }

    public void setFireCode(String fireCode) {
        this.fireCode = fireCode;
    }

    public Long getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(Long countyCode) {
        this.countyCode = countyCode;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public Long getSatelliteTimeTs() {
        return satelliteTimeTs;
    }

    public void setSatelliteTimeTs(Long satelliteTimeTs) {
        this.satelliteTimeTs = satelliteTimeTs;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getSatelliteType() {
        return satelliteType;
    }

    public void setSatelliteType(String satelliteType) {
        this.satelliteType = satelliteType;
    }

    public String getLandType() {
        return landType;
    }

    public void setLandType(String landType) {
        this.landType = landType;
    }

    public String getConfidence() {
        return confidence;
    }

    public void setConfidence(String confidence) {
        this.confidence = confidence;
    }

    public String getFireImage() {
        return fireImage;
    }

    public void setFireImage(String fireImage) {
        this.fireImage = fireImage;
    }

    public String getSatelliteImage() {
        return satelliteImage;
    }

    public void setSatelliteImage(String satelliteImage) {
        this.satelliteImage = satelliteImage;
    }

    public String getTownCode() {
        return townCode;
    }

    public void setTownCode(String townCode) {
        this.townCode = townCode;
    }
}
